## NAME

v.transform - Transforms an vector map layer from one coordinate system into another coordinate system.

## SYNOPSIS

v.transform
v.transform help
v.transform [-qts] input=string output=string [pointsfile=string] [xshift=float] [yshift=float] [zshift=float] [xscale=float] [yscale=float] [zscale=float] [zrot=float]

### Flags:

-q
  suppress display of residuals or other information
-t
  shift all z values to bottom=0
-s
  Instead of points use transformation options (xshift, yshift, zshif, xscale, yscale, zscale, zrot)

### Parameters:

input=string
  vector map to be transformed
output=string
  resultant vector map
pointsfile=string
  file holding transform coordinates
xshift=float
  shifting value for x coordinates
  Default: 0.0
yshift=float
  shifting value for y coordinates
  Default: 0.0
zshift=float
  shifting value for z coordinates
  Default: 0.0
xscale=float
  scaling factor for x coordinates
  Default: 1.0
yscale=float
  scaling factor for y coordinates
  Default: 1.0
zscale=float
  scaling factor for z coordinates
  Default: 1.0
zrot=float
  rotation around z axis in degrees counterclockwise
  Default: 0.0

## DESCRIPTION

v.transform transforms a vector map layer from one coordinate system into another coordinate system.

## NOTES

When using an ASCII table containing source and target coordinate pairs, in each row four coordinate values separated by white space have to be specified. Comments are permitted and have to be indicated by a '#' character.

Example for a points file of a linear transformation from XY to UTM coordinates (L: left, R: right, U: upper, L: lower, N, S, W, E):

        # Linear transformation from XY to UTM coordinates:
        # 4 maps corners defined
        # UL NW
        # UR NE
        # LR SW
        # LL SE
        -584 585  598000 4920770
        580  585  598020 4920770
        580  -600 598020 4920750
        -584 -600 598000 4920750

The ground control points may be also (ir)regularly distributed and can be more than four points.

## EXAMPLE

Most DXF/DWG drawings are done within XY coordinates. To transform them to a national grid, we can use 'v.transform' with a 4 point transformation
v.transform -t in=watertowerXY out=watertowerUTM points= wt.points zscale=0.04 zshift=1320

## SEE ALSO

v.in.ogr

## AUTHOR

Radim Blazek, ITC-Irst, Trento, Italy

Last changed: $Date: 2005/02/03 10:59:51 $

Help Index